Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - haxe-git

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: haxe-git 11145-1

Git Clone URL: https://aur-dev.archlinux.org/haxe-git.git (read-only)
Package Base: haxe-git
Description: An open-source high-level multiplatform programming language and compiler that can produce applications and source code for many different platforms from a single code-base
Upstream URL: https://github.com/HaxeFoundation/haxe
Licenses: GPL2, MIT
Groups: devel
Conflicts: haxe
Provides: haxe
Submitter: TopHattedCoder
Maintainer: dseg
Last Packager: dseg
Votes: 4
Popularity: 0.000000
First Submitted: 2013-09-14 21:42
Last Updated: 2015-06-11 03:02

Dependencies (7)

Required by (1)

Sources (2)

Latest Comments

1 2 Next › Last »

daurnimator commented on 2016-02-25 06:48

Fails on:

ocamlopt -pp camlp4o -g -I libs/extlib -I libs/extc -I libs/neko -I libs/javalib -I libs/ziplib -I libs/swflib -I libs/xml-light -I libs/ttflib -I libs/ilib -I libs/objsize -c parser.ml
sh: camlp4o: command not found
File "parser.ml", line 1:
Error: Error while running external preprocessor
Command line: camlp4o 'parser.ml' > /tmp/ocamlppbbd24b

Makefile:170: recipe for target 'parser.cmx' failed
make: *** [parser.cmx] Error 2


Looks like you need to add camlp4 to makedepends?

panicbit commented on 2014-09-11 23:17

The haxe binary seems to be symlinked/copied wrongly:

$ readlink /bin/haxe
/tmp/yaourt-tmp-user/aur-haxe-git/pkg/haxe-git/usr/lib/haxe/haxe

panicbit commented on 2014-09-11 23:12

Building fails due to missing or moved 'LICENSE.txt'.

panicbit commented on 2014-09-11 23:06

Building fails due to missing 'camlp4' make dependency.

TopHattedCoder commented on 2013-02-25 21:07

Yeah, that's what it is. For a temporary solution, change neko to neko-svn in the PKGBUILD.

dseg commented on 2013-02-25 08:52

@TopHattedCoder
Maybe neko 2.0.0 or later required to build the latest svn trunk?
I'll update the PKGBUILD as soon as possible when the AUR neko-2.0.0 package is ready.

TopHattedCoder commented on 2013-02-24 16:18

Not working for me, either a haxe issue or a permissions issue:

==> Generating api docs...
Uncaught exception - std@module_read

dseg commented on 2012-11-13 17:38

Thanks, it's fixed.

Anonymous comment on 2012-11-13 12:34

I have the following issue:

==> Generating api docs...
rm: cannot remove ‘*.xml’: No such file or directory

dseg commented on 2012-06-22 01:37

Thank you for the report, I changed the PKGBUILD a bit, hope this fixed it.